Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Class ConfigStatus

    java.lang.Object
      org.apache.cayenne.conf.ConfigStatus

    public class ConfigStatus

extends Object

Interface defines API to check the status of Cayenne configuration.

Author:
  Andrus Adamchik

Field Summary
`protected Map<String,String>` | `failedAdapters`
`protected Map<String,String>` | `failedDataSources`
`protected List<String>` | `failedMapRefs`
`protected Map<String,String>` | `failedMaps`
`protected Map<String,Object>` | `messages`
`protected List<String>` | `otherFailures`

Constructor Summary
`ConfigStatus()`

Method Summary
`void` | `addFailedAdapter(String name, String location, String extraMessage)`
`void` | `addFailedDataSource(String name, String location, String extraMessage)`
`void` | `addFailedMap(String name, String location, Object extraMessage)`
`void` | `addFailedMapRefs(String name, String extraMessage)`
`String` | `describeFailures()` Returns a String description of failed configuration pieces.
`protected String` | `getAdapterMessageKey(String name, String location)`
`protected String` | `getDataSourceMessageKey(String name, String location)`
`Map<String,String>` | `getFailedAdapters()` Returns a map of adapter classes for node names that failed to load.
`Map<String,String>` | `getFailedDataSources()` Returns a map of DataSource locations for node names that failed to load.
`List<String>` | `getFailedMapRefs()` Returns a list of map reference names that failed to load.
`Map<String,String>` | `getFailedMaps()` Returns a map of locations for names of the data maps that failed to load.
`protected String` | `getMapMessageKey(String name, String location)`
`protected String` | `getMapRefMessageKey(String name)`
`List<String>` | `getOtherFailures()` Returns a list of error messages not directly associated with project objects, such as XML parse exceptions, IOExceptions, etc.
`boolean` | `hasFailures()` Returns true if any of the "failed.." methods return true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### otherFailures

    protected List<String> otherFailures

### failedMaps

    protected Map<String,String> failedMaps

### failedAdapters

    protected Map<String,String> failedAdapters

### failedDataSources

    protected Map<String,String> failedDataSources

### failedMapRefs

    protected List<String> failedMapRefs

### messages

    protected Map<String,Object> messages

Constructor Detail

### ConfigStatus

    public ConfigStatus()

Method Detail

### addFailedMap

    public void addFailedMap(String name,
                             String location,
                             Object extraMessage)

### addFailedAdapter

    public void addFailedAdapter(String name,
                                 String location,
                                 String extraMessage)

### addFailedDataSource

    public void addFailedDataSource(String name,
                                    String location,
                                    String extraMessage)

### addFailedMapRefs

    public void addFailedMapRefs(String name,
                                 String extraMessage)

### getMapMessageKey

    protected String getMapMessageKey(String name,
                                      String location)

### getAdapterMessageKey

    protected String getAdapterMessageKey(String name,
                                          String location)

### getDataSourceMessageKey

    protected String getDataSourceMessageKey(String name,
                                             String location)

### getMapRefMessageKey

    protected String getMapRefMessageKey(String name)

### describeFailures

    public String describeFailures()

  Returns a String description of failed configuration pieces. Returns a canned "no failures" message if no failures occurred.

### getOtherFailures

    public List<String> getOtherFailures()

  Returns a list of error messages not directly associated with project objects, such as XML parse exceptions, IOExceptions, etc.

### getFailedMapRefs

    public List<String> getFailedMapRefs()

  Returns a list of map reference names that failed to load.

### getFailedMaps

    public Map<String,String> getFailedMaps()

  Returns a map of locations for names of the data maps that failed to load.

### getFailedDataSources

    public Map<String,String> getFailedDataSources()

  Returns a map of DataSource locations for node names that failed to load.

### getFailedAdapters

    public Map<String,String> getFailedAdapters()

  Returns a map of adapter classes for node names that failed to load.

### hasFailures

    public boolean hasFailures()

  Returns true if any of the "failed.." methods return true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.